Loading...
Searching...
No Matches
Dune::Amg::GalerkinProduct< T > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/galerkin.hh>`

Inheritance diagram for Dune::Amg::GalerkinProduct< T >:

## Public Types

typedef T | ParallelInformation

## Public Member Functions

template<class G, class V, class Set>
G::MutableMatrix * | build (G &fineGraph, V &visitedMap, const ParallelInformation &pinfo, AggregatesMap< typename G::VertexDescriptor > &aggregates, const typename G::Matrix::size_type &size, const Set &copy)
| Calculates the coarse matrix via a Galerkin product.
template<class M, class V, class I, class O>
void | calculate (const M &fine, const AggregatesMap< V > &aggregates, M &coarse, const I &pinfo, const O &copy)
| Calculate the galerkin product.
template<class M, class V, class P, class O>
void | calculate (const M &fine, const AggregatesMap< V > &aggregates, M &coarse, const P &pinfo, const O &copy)

The documentation for this class was generated from the following file:

- galerkin.hh